Subject: bug#41761: [PATCH] bug#41761: 28.0.50; M-x count-words counts words only up to a field boundary

From: Eli Zaretskii <[email-masked]>
Date: Sun, 16 Aug 2020 17:12:22 +0300

> From: Daniel Koning <[email-masked]>
> Cc: [email-masked],  [email-masked],  [email-masked]
> Date: Sat, 15 Aug 2020 14:44:18 -0500
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > Is something wrong or inaccurate with the text I proposed for NEWS?
> 
> Based on other NEWS entries, and the discussion earlier in this thread
> of Stefan's original phrasing, I assumed that it was customary to
> mention in NEWS that a change fixes a defect (which I believe this one
> is, for the reasons I outlined in my last message). If that's not
> expected, then it doesn't much matter.

No, we don't mention bug fixes in NEWS.

> I do think the prior behavior differs somewhat from the way you phrased
> it. I would write it as:
> 
>     Originally, when 'inhibit-field-text-motion' was nil, 'count-words'
>     stopped counting words at the end of the field containing START.
> 
> (It didn't ignore text inside fields, but rather text that was not
> inside one specific field.)

I'm not sure I understand the "end of field containing START" part.
Supposed the region includes several fields, what would the previous
code do?